## org.eclipse.emf.common.util
Interface Diagnostic

All Known Implementing Classes:
  BasicDiagnostic

    public interface Diagnostic

Information about the outcome of some activity.

Field Summary
`static int` `CANCEL` The bit mask value `0x1` for a `severity` indicating that the diagnosis was canceled.
`static Diagnostic` `CANCEL_INSTANCE` A diagnostic indicating that the diagnosis was canceled.
`static int` `ERROR` The bit mask value `0x1` for a `severity` indicating there is an error message.
`static int` `INFO` The bit mask value `0x1` for a `severity` indicating there is an informational message.
`static int` `OK` The bit mask value `0x0` for a `severity` indicating everything is okay.
`static Diagnostic` `OK_INSTANCE` A diagnostic indicating that everything is okay.
`static int` `WARNING` The bit mask value `0x2` for a `severity` indicating there is warning message.

Method Summary
`java.util.List<Diagnostic>` `getChildren()` Returns the list of child `diagnostics`.
`int` `getCode()` Returns `source-specific` identity code.
`java.util.List<?>` `getData()` Returns the arbitrary associated list of data.
`java.lang.Throwable` `getException()` Returns the relevant low-level exception, or `null` if none.
`java.lang.String` `getMessage()` Returns a message describing the situation.
`int` `getSeverity()` Returns an indicator of the severity of the problem.
`java.lang.String` `getSource()` Returns the unique identifier of the source.

Field Detail

### OK

    static final int OK

  The bit mask value `0x0` for a `severity` indicating everything is okay.

  See Also:
    Constant Field Values

### INFO

    static final int INFO

  The bit mask value `0x1` for a `severity` indicating there is an informational message.

  See Also:
    Constant Field Values

### WARNING

    static final int WARNING

  The bit mask value `0x2` for a `severity` indicating there is warning message.

  See Also:
    Constant Field Values

### ERROR

    static final int ERROR

  The bit mask value `0x1` for a `severity` indicating there is an error message.

  See Also:
    Constant Field Values

### CANCEL

    static final int CANCEL

  The bit mask value `0x1` for a `severity` indicating that the diagnosis was canceled.

  See Also:
    Constant Field Values

### OK_INSTANCE

    static final Diagnostic OK_INSTANCE

  A diagnostic indicating that everything is okay.

### CANCEL_INSTANCE

    static final Diagnostic CANCEL_INSTANCE

  A diagnostic indicating that the diagnosis was canceled.

Method Detail

### getSeverity

    int getSeverity()

  Returns an indicator of the severity of the problem.

### getMessage

    java.lang.String getMessage()

  Returns a message describing the situation.

### getSource

    java.lang.String getSource()

  Returns the unique identifier of the source.

### getCode

    int getCode()

  Returns `source-specific` identity code.

### getException

    java.lang.Throwable getException()

  Returns the relevant low-level exception, or `null` if none.

### getData

    java.util.List<?> getData()

  Returns the arbitrary associated list of data. The first element is typically the object that is the primary source of the problem; the second element is typically some object describing the problematic feature or aspect of the primary source, and the remaining elements are additional objects associated with or describing the problem.

### getChildren

    java.util.List<Diagnostic> getChildren()

  Returns the list of child `diagnostics`.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.